body {
  margin: 0;
  padding: 0;
  font-family: Arial, Helvetica, sans-serif;
  color: lightgray;
  background-color: black;
}

html {
  scroll-behavior: smooth;
}

@media screen and (max-width: 800px) {
  html {
    scroll-behavior: smooth;
  }

  body {
    font-family: Arial, Helvetica, sans-serif;

    overflow-x: hidden;
  }
}

@media (max-aspect-ratio: 16/9) {
  .back-vid {
    width: auto;
    height: 100%;
  }
}

@media (min-aspect-ratio: 16/9) {
  .back-vid {
    width: 100%;
    height: auto;
  }
}

.container {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 100px;
  background-color: #001f7c38;
}

.back-vid {
  position: fixed;
  right: 0;
  bottom: 0;
  z-index: -1;
  mix-blend-mode: lighten;
}

.left {
  margin-top: 10px;
  margin-left: 20px;
  font-weight: 700;
  font-size: 50px;
}

header {
  display: flex;
  position: absolute;
  top: 0;
  background-color: rgba(255, 225, 225, 0.123);
  justify-content: space-between;
  align-items: center;
  height: 70px;
  padding: 0;
  box-shadow: 0 0 15px #72a1de68;
  z-index: 999;
  width: 100%;
}

header ul {
  display: flex;
  justify-content: space-evenly;
  min-width: 200px;
  width: 30%;
  padding: 15px 15px;
  border-radius: 50px;
  background-color: rgba(0, 0, 60, 0.3);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  font-family: cursive;
  box-shadow: 0 0 15px #72a1de68;
}

header ul li {
  list-style: none;
}

header a {
  text-decoration: none;
  color: white;
  font-weight: 700;
  margin: 0 10px;
}

/* astroid spinning animation */
.astronaut-container {
  position: absolute;
  bottom: 0%;
  width: 560px;
  height: 560px;
  margin-bottom: 100px;
}
.orbit {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  position: relative;
  animation: orbiting 60s infinite linear;
  will-change: transform;
}
.astronaut {
  position: absolute;
  width: 40px;
  transform: rotate(-30deg);
  animation: spinning 15s infinite linear;
  will-change: transform;
}

.astroid {
  width: 40px;
  position: absolute;
  margin-left: -50px;
  margin-top: 100px;
  transform: rotate(-30deg);
  animation: spinning 2s infinite linear;
  will-change: transform;
}

@keyframes orbiting {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.boxicons {
  display: flex;
  justify-content: space-evenly;
  margin-right: 10px;
  padding: 10px;
  gap: 10px;
}

.boxicons button {
  display: flex;
  width: 40px;
  height: 38px;
  text-align: center;
  font-weight: 700;
  justify-content: space-evenly;
  align-items: center;
  border: none;
  text-align: left;
  border-radius: 10px;
  border: 2px solid white;
  background-color: transparent;
  color: black;
  transition: all 0.2s ease-in 0s;
  cursor: pointer;
}

.boxicons button:hover {
  /* background: linear-gradient(120deg, rgb(206, 29, 206), violet, violet, blue); */

  background-color: rgba(255, 255, 255, 0.444);
}

.boxicons button:active {
  background-color: rgb(60, 42, 90);
}

.hero {
  margin-top: 10px;
  position: relative;
  display: flex;
  width: 100%;
  height: 100vh;
  color: white;
  justify-content: space-between;
  align-items: center;
}

.hero-info {
  position: absolute;
  left: 5%;
}

.hero-info .hero-info-title {
  top: -33%;
  position: absolute;
  /* color: rgb(191, 101, 255); */
  color: rgb(255, 255, 255);
  padding: 8px 20px;
  border: 2px solid rgb(242, 224, 255);
  border-radius: 30px;
  width: fit-content;
  background-color: transparent;
  box-shadow: 0 0 25px rgb(98, 24, 150);
}

.hero-info h1 {
  font-size: 50px;
  max-width: 600px;
  font-weight: 700;
  line-height: 70px;
  margin-top: 30px;
  margin-bottom: 40px;
  font-family: cursive;
}

.hero-info p {
  max-width: 500px;
  line-height: 40px;
  font-size: 18px;
  font-family:
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    "Open Sans",
    "Helvetica Neue",
    sans-serif;
}

.hero-info button {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  letter-spacing: 2px;
  font-family: monospace;
  font-size: 15px;
  font-weight: 700;
  padding: 15px 20px;
  gap: 8px;
  color: white;
  border: 1px solid white;
  background-color: rgba(255, 255, 255, 0.337);
  backdrop-filter: blur(10px);
  box-shadow: 0 0 25px rgb(11, 11, 11);
  border-radius: 15px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  margin-top: 40px;
}

.hero-info button:hover {
  box-shadow: 0 0 15px rgb(255, 255, 255);
  background: linear-gradient(
    160deg,
    rgba(255, 255, 255, 0.733),
    rgba(172, 28, 249, 0.278)
  );
  border: none;
}

.gradient {
  background: linear-gradient(30deg, #2fe7ff, white, #2fe7ff);
  background-size: 150%;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.name-cont {
  width: max-content;
  letter-spacing: 2px;
  color: white;
  max-width: 430px;
  font-family: cursive;
  border: none;
  white-space: nowrap;
  overflow: hidden;
  animation: typing 2s steps(12);
}

@keyframes typing {
  from {
    width: 0;
  }
  50% {
    width: 100%;
  }
}

.hero-vid-box {
  display: flex;
  overflow: hidden;
  align-items: center;
  z-index: -1;
  justify-content: center;
  width: 100%;
  /* margin-top: -200px; */
}

.hero-vid-box video {
  width: 100%;
  mix-blend-mode: lighten;
}
.hero-vid-box img {
  width: 100%;
  mix-blend-mode: lighten;
}

@media screen and (max-width: 800px) {
  .hero-info h1 {
    font-size: x-large;
    line-height: 35px;
    animation: none;
  }

  .hero-vid-box img{
    align-items: center;
    width: 1000%;
    height: 1000px;
  }

  .hero-info p {
    font-size: 10px;
    max-width: 280px;
    line-height: 1.5em;
  }

  .hero-info button {
    margin-top: 50px;
    font-size: 8px;
    
  }

  .name-cont {
    animation: none;
    border: none;
  }

  .astronaut-container {
    width: 0px;
    height: 0px;
  }

  .astronaut {
    width: 0px;
  }

  .astroid {
    width: 0px;
  }
}

/* About section */

.info-section {
  width: 60%;
  display: flex;
  flex-direction: column;
  margin-top: 200px;
  margin-bottom: 300px;
  justify-content: center;
  align-items: center;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}
.info-cards {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 60% 60% 60%;
  grid-template-areas:
    "one two "
    "three  three"
    "four five";

  gap: 8px;
  height: 400px;
  position: relative;
}

.card {
  border: 2px solid white;
  border-radius: 20px;
  background-color: rgba(255, 255, 255, 0.089);
  contain: content;
}

.card:nth-child(1) {
  grid-area: one;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2px 10px;
  font-family: cursive;
  font-size: 12px;
  z-index: 99;
  overflow: none;
}

.card:nth-child(1) span {
  font-weight: bold;
  font-size: 18px;
  color: white;
}
.card:nth-child(1) div {
  overflow: hidden;
  max-height: 200px;
}

.card:nth-child(1) p {
  font-weight: bold;
  line-height: 20px;
  margin-top: 40px;
}

.card:nth-child(1) img {
  z-index: 999;
  margin-top: 10%;
  width: 200px;
}

.card:nth-child(2) {
  position: relative;
  grid-area: two;
  display: grid;
  overflow: hidden;
  padding: 10px;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

.card:nth-child(2) p {
  position: absolute;
  padding: 5px;
  bottom: 5px;
  margin-left: 10px;
}
.card:nth-child(2) .react {
  width: 80px;
  position: absolute;
  top: 20%;
  padding: 30px 40px;
  animation: spinning 20s linear infinite;
  will-change: transform;
}
@keyframes spinning {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.caroursel {
  width: 80%;
  display: flex;
  overflow-x: auto;
  padding: 0 2px;
  height: 40px;
  position: absolute;
  bottom: 160px;
  right: -15%;
  transform: rotate(40deg);
}
.caroursel::-webkit-scrollbar {
  display: none;
}
.group {
  display: flex;
  align-items: center;
  justify-content: center;
  animation: spin 20s infinite linear;
  will-change: transform;
}

.cards {
  flex: 0 0 5em;
  height: 1em;
  width: 20px;
  padding: 10px 0px;
}

.cards img {
  width: 25px;
  height: 25px;
}
@keyframes spin {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}

.card:nth-child(3) {
  grid-area: three;
  display: flex;
  font-size: 12px;
  align-items: center;
}
.card:nth-child(3) h1 {
  text-align: center;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

.card:nth-child(3) ul {
  list-style: none;
  font-weight: 700;
  line-height: 2.3em;
  margin-left: 20px;
}
.astonaut-pic {
  width: 240px;
  mix-blend-mode: lighten;
  margin-left: 40px;
}

.card:nth-child(4) {
  grid-area: four;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 40%;
  position: relative;
  overflow: hidden;
  transition: all 10s ease-in linear;
}

.card:nth-child(4) h1 {
  font-family: Arial, Helvetica, sans-serif;
  color: white;
}

.card:nth-child(4) img {
  z-index: -1;
  width: 500px;
  position: absolute;
  top: 0;
  left: -20px;
  mix-blend-mode: hard-light;
  rotate: 180deg;
}

.card:nth-child(4) button {
  display: flex;
  padding: 15px 20px;
  font-family: monospace;
  font-size: larger;
  font-weight: bold;
  color: white;
  letter-spacing: 2px;
  border-radius: 30px;
  border: none;
  background-color: rgba(62, 50, 61, 0.879);
  align-content: center;
  gap: 2px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.card:nth-child(4) button:hover {
  background: linear-gradient(rgb(111, 70, 235), rgb(155, 115, 242));
  box-shadow: 0 5px black;
  border: 1px solid white;
  letter-spacing: 3px;
}

.card:nth-child(5) {
  grid-area: five;
  display: flex;
  align-items: center;
  overflow: hidden;
  position: relative;
}

.card:nth-child(5) .earth-anime-pic {
  position: absolute;
  width: 230px;
  mix-blend-mode: hard-light;
  right: 10%;
  z-index: -1;
}

.card:nth-child(5) div {
  position: absolute;
  bottom: 0;
  padding: 20px;
}

.card:nth-child(5) span {
  display: flex;
  align-items: center;
  color: white;
  font-family: cursive;
  letter-spacing: 1px;
}

.alien-ship-container {
  position: absolute;
  bottom: 100%;
  right: 55%;
}

.alien-ship {
  width: 40px;
  animation: woble 0.4s infinite linear;
  mix-blend-mode: hard-light;
  will-change: transform;
}
.orbit-earth {
  width: 190px;
  height: 190px;
  border-radius: 50%;
  animation: spinning 60s infinite linear;
  will-change: transform;
}

@keyframes woble {
  0% {
    transform: translateY(1px) rotate(-30deg);
  }

  100% {
    transform: translateY(0px) rotate(-30deg);
  }
}

@media screen and (max-width: 800px) {
  .info-cards {
    grid-template-columns: 90%;
    grid-template-rows: 60% 60% 100% 60% 60%;

    grid-template-areas:
      "one one"
      "two two"
      "three three"
      "five five"
      "four four";
    gap: 20px;
  }

  .info-section {
    margin-bottom: 900px;
  }
  .card {
    width: 100%;
    animation: fadeRight both;
  }

  .card:nth-child(1) p {
    font-size: 8px;
  }

  .card:nth-child(1) span {
    font-size: 12px;
  }

  .card:nth-child(1) img {
    width: 150px;
  }

  .card:nth-child(2) {
    overflow: hidden;
  }

  .card:nth-child(2) p {
    font-size: 15px;
  }

  .card:nth-child(2) .react {
    width: 60px;
  }

  .card:nth-child(3) {
    width: 100%;
    flex-direction: column;
    align-items: center;
    padding: 10px;
  }

  .card:nth-child(3) ul {
    font-size: 10px;
    margin-left: 0;
    padding: 5px;
  }
   
  .astonaut-pic {
    width: 30px;
    margin-right: 50px;
  }

  .card:nth-child(4) {
    padding: 10px;
    height: 200px;
  }

  .card:nth-child(5) {
    padding: 10px;
  }

  .card:nth-child(5) p {
    font-size: 10px;
  }
  .card:nth-child(5) span {
    font-size: 10px;
  }

  .orbit-earth {
    left: -90%;
    width: 180px;
    height: 180px;
  }

  .card:nth-child(5) .earth-anime-pic {
    width: 220px;
    margin-bottom: -30px;
  }
}

/* skill section */
.skill-section {
  width: 90%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  margin-top: 200px;
  margin-bottom: 100px;
}

.skill-box {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.brain-pic {
  width: 30%;
  mix-blend-mode: lighten;
  opacity: 0.8;
  margin-bottom: 100px;
}

.skill-box p {
  line-height: 30px;
  font-family: cursive;
  max-width: 300px;
  font-size: larger;
}

.skill-box h1 {
  font-size: 40px;
}

.designer {
  position: absolute;
  left: 5%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
}
.coder {
  position: absolute;
  right: 5%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
}

@media screen and (max-width: 800px) {
  .skill-section {
    margin-top: 200px;
    margin-bottom: 100px;
  }

  .skill-box {
    display: flex;
    flex-direction: column;
  }

  .skill-box p {
    font-size: x-small;
    max-width: 160px;
  }

  .skill-box h1 {
    font-size: 20px;
  }

  .brain-pic {
    margin-bottom: 300px;
  }
}

/* Project-section */

.project-section {
  width: 80%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
  margin-top: 0;
}

.project-section h1 {
  margin-bottom: 40px;
}

.project-card {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 70%;
  height: 100px;
  background-color: rgba(255, 255, 255, 0.089);
  border: 2px solid rgba(255, 255, 255, 0.582);
  border-radius: 10px;
}

.project-name {
  margin-left: 4em;
  margin-bottom: 20px;
  font-size: 12px;
  letter-spacing: 1px;
  word-spacing: 10px;
  color: rgba(218, 128, 32, 0.77);
  font-family: monospace;
}

.project-name p {
  font-size: 24px;
  letter-spacing: 1px;
  word-spacing: normal;
  padding: 0;
  margin-bottom: 5px;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  color: rgba(255, 255, 255, 0.904);
  font-weight: 700;
}

.read-more {
  display: flex;
  gap: 2px;
  margin-right: 40px;
  text-align: center;
  align-items: center;
  font-size: 16px;
  font-family: monospace;
  color: whitesmoke;
}

.read-more a {
  text-decoration: none;
  color: whitesmoke;
}

@media screen and (max-width: 800px) {
  .project-name p {
    font-size: 15px;
  }
  .project-name {
    font-size: 8px;
  }
  .read-more a {
    font-size: 10px;
  }
}

/* certification-section */

.certificates {
  width: 80%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-top: 200px;
  margin-bottom: 200px;
  color: white;
  gap: 100px;
  mask-image: linear-gradient(
    to right,
    transparent,
    #000000f4 5% 80%,
    transparent
  );
}

.certi-coursel {
  display: flex;
  width: 100%;
  overflow-x: auto;
}

.certi-coursel::-webkit-scrollbar {
  display: none;
}

.certi-container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 5em;
  padding: 5em 4em;
  gap: 150px;
  animation: spin 40s linear infinite;
  mix-blend-mode: lighten;
  will-change: transform;
}

.certi-coursel:hover * {
  animation-play-state: paused;
}

.certify {
  width: 10em;
  flex: 0 0 5em;
  height: 1em;
  padding: 10px 2em;
  height: 12em;
  padding-right: 2em;
}

.certify img {
  height: 160px;
  border-radius: 10px;
}

/* contact section */

.message-form {
  display: flex;
  flex-direction: column;
  padding: 20px;
  width: 350px;
  border-radius: 20px;
  margin-bottom: 100px;
  background: rgba(255, 255, 255, 0.15); /* transparent */
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px); /* Safari */
  border-radius: 12px;
  border: 1px solid rgba(255, 255, 255, 0.3);
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.25);
  padding: 20px;
}

.message-form input {
  width: 100%;
  height: 2.4em;
  margin-top: 10px;
  border-radius: 5px;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: 700;
  color: white;
  border: none;
  backdrop-filter: blur(10px);
  outline: none;
  background: rgba(255, 255, 255, 0.15); /* transparent */
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px); /* Safari */
  border-radius: 12px;
  border: 1px solid rgba(255, 255, 255, 0.3);
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.25);
  margin: 10px 0;
}

.message-form label {
  margin: 10px 0px;
  color: white;
  font-weight: bold;
  font-size: small;
}

.message-form button {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  letter-spacing: 2px;
  font-family: monospace;
  font-size: 15px;
  font-weight: 700;
  padding: 10px 10px;
  margin-top: 40px;
  color: white;
  border-radius: 10px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  background: rgba(255, 255, 255, 0.15); /* transparent */
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px); /* Safari */
  border: 1px solid rgba(255, 255, 255, 0.3);
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.25);
  gap: 10px;
}

.message-form button:hover {
  background: rgba(6, 6, 6, 0.293); /* transparent */
}

/* whatapp,github,in,mail icon links */

.contact-box {
  display: flex;
  justify-content: center;
  gap: 40px;
}

.contact-box button {
  background-color: none;
  border: none;
  padding: 5px;
  width: 50px;
}

@media screen and (max-width: 800px) {
  .message-form {
    width: 290px;
  }

  .message-form p {
    font-size: 10px;
  }

  .contact-box {
    gap: 20px;
  }
}

/* home-button */

.home-button {
  position: absolute;
  padding: 6px 10px;
  bottom: 2%;
  right: -35%;
  border: 2px solid white;
  border-radius: 20px;
}

.home-button a {
  color: white;
  text-decoration: none;
  font-family: cursive;
}

.home-button:hover {
  background-color: rgba(255, 255, 255, 0.248);
}

@media screen and (max-width: 800px) {
  .home-button {
    right: 38%;
    bottom: -10%;
  }
}

/* footer */

footer {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50px;
  background: rgba(255, 255, 255, 0.15);
  gap: 10%;
  border-radius: 10px;
  margin: 0px 10px;
}

footer div {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  gap: 2px;
  font-family: cursive;
}

/*ANIMATION SECTION  */

/* blur effect */

.autoBlur {
  animation: autoBlurAnimation linear both;
  animation-timeline: view();
  will-change: filter, opacity;
  transform: translateZ(0);
}

@keyframes autoBlurAnimation {
  0% {
    filter: blur(10px);
    opacity: 0;
  }

  35%,
  65% {
    filter: blur(0);
    opacity: 1;
  }

  100% {
    filter: blur(10px);
    opacity: 0;
  }
}

/* Auto Display animation */

.autoDisplay {
  animation: autoDisplayAnimation both;
  animation-timeline: view();
  will-change: transform, filter, opacity;
  transform: translateZ(0);
}

@keyframes autoDisplayAnimation {
  from {
    filter: blur(5px);
    transform: translateY(-100px) scale(0) translateZ(0);
    opacity: 0.2;
  }

  50% {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0) scale(1) translateZ(0);
  }
}

.autoDisplayLow {
  animation: autoDisplayLowAnimation both;
  animation-timeline: view();
  will-change: transform, filter, opacity;
  transform: translateZ(0);
}

@keyframes autoDisplayLowAnimation {
  from {
    filter: blur(5px);
    transform: translateY(-5px) scale(0) translateZ(0);
    opacity: 0.5;
  }

  50% {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0) scale(1) translateZ(0);
  }
}

.fadeRight-M {
  animation: blurRighttoLeft both;
  animation-timeline: view();
  will-change: transform, filter, opacity;
  transform: translateZ(0);
}

@keyframes blurRighttoLeft {
  from {
    transform: translateX(-500px) scale(0) translateZ(0);
    opacity: 0;
    filter: blur(8px);
  }
  35%,
  65% {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0px) scale(1) translateZ(0);
  }
}

/* slight cure aimation */

.fadeRightCurve {
  animation: blurRighttoLeftCurve both;
  animation-timeline: view();
  will-change: transform, filter, opacity;
}

@keyframes blurRighttoLeftCurve {
  from {
    transform: translateX(-200px) scale(0) rotate(-60deg) translateZ(0);
    opacity: 0;
    filter: blur(8px);
  }
  35%,
  65% {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0px) scale(1) rotate(0) translateZ(0);
  }
}

@media screen and (max-width: 800px) {
  .fadeRightCurve {
    animation: blurRighttoLeftCurve-M both;
    animation-timeline: view();
  }

  @keyframes blurRighttoLeftCurve-M {
    from {
      transform: translateX(-200px) scale(0) rotate(60deg) translateZ(0);
      opacity: 0;
      filter: blur(8px);
    }
    35%,
    65% {
      opacity: 1;
      filter: blur(0);
      transform: translateX(0px) scale(1) rotate(0) translateZ(0);
    }
  }
}
/* make it slight curve for desktop info card - 4 */

.fadeRightCurve-i {
  animation: blurRighttoLeftCurve-i both;
  animation-timeline: view();
  will-change: transform, filter, opacity;
}

@keyframes blurRighttoLeftCurve-i {
  from {
    transform: translateX(200px) scale(0) rotate(-60deg) translateZ(0);
    opacity: 0;
    filter: blur(8px);
  }
  35%,
  65% {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0px) scale(1) rotate(0) translateZ(0);
  }
}

@media screen and (max-width: 800px) {
  .fadeRightCurve-i {
    animation: blurRighttoLeftCurve-i-M both;
    animation-timeline: view();
  }

  @keyframes blurRighttoLeftCurve-i-M {
    from {
      transform: translateX(100px) scale(0) rotate(-60deg) translateZ(0);
      opacity: 0;
      filter: blur(8px);
    }
    35%,
    65% {
      opacity: 1;
      filter: blur(0);
      transform: translateX(0px) scale(1) rotate(0) translateZ(0);
    }
  }
}

/* Fade left  */

.fadeLeft-M {
  animation: blurLefttoRight both;
  animation-timeline: view();
  animation-duration: 100s;
  will-change: transform, filter, opacity;
  transform: translateZ(0);
}

@keyframes blurLefttoRight {
  from {
    transform: translateX(500px) scale(0) translateZ(0);
    opacity: 0;
    filter: blur(8px);
  }
  35%,
  65% {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0px) scale(1) translateZ(0);
  }
}

.fadeLeftCurve {
  animation: blurLefttoRightCurve both;
  animation-timeline: view();
  will-change: transform, filter, opacity;
}

@keyframes blurLefttoRightCurve {
  from {
    transform: translateX(200px) scale(0) rotate(60deg) translateZ(0);
    opacity: 0;
    filter: blur(8px);
  }
  35%,
  65% {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0px) scale(1) rotate(0) translateZ(0);
  }
}

/* for mobile */

@media screen and (max-width: 800px) {
  .fadeLeftCurve {
    animation: blurLefttoRightCurve-M both;
    animation-timeline: view();
  }

  @keyframes blurLefttoRightCurve-M {
    from {
      transform: translateX(100px) scale(0) rotate(-60deg) translateZ(0);
      opacity: 0;
      filter: blur(8px);
    }
    35%,
    65% {
      opacity: 1;
      filter: blur(0);
      transform: translateX(0px) scale(1) rotate(0) translateZ(0);
    }
  }
}

/* make it slight curve for desktop info card - 4 */

.fadeLeftCurve-i {
  animation: blurLefttoRightCurve-i both;
  animation-timeline: view();
  will-change: transform, filter, opacity;
}

@keyframes blurLefttoRightCurve-i {
  from {
    transform: translateX(-200px) scale(0) rotate(60deg) translateZ(0);
    opacity: 0;
    filter: blur(8px);
  }
  35%,
  65% {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0px) scale(1) rotate(0) translateZ(0);
  }
}

.fadeBtoT {
  animation: blurBottomtoTopAnimation;
  animation-timeline: view();
  will-change: transform, filter, opacity;
}

@keyframes blurBottomtoTopAnimation {
  from {
    transform: translateY(200px) scale(0) translateZ(0);
    opacity: 0;
    filter: blur(8px);
  }
  35%,
  65% {
    opacity: 1;
    filter: blur(0);
    transform: translateY(0px) scale(1) translateZ(0);
  }
}
